com.southernstorm.noise.protocol

## Class Pattern

- java.lang.Object
- - com.southernstorm.noise.protocol.Pattern

-     class Pattern
      extends Object

  Information about all supported handshake patterns.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `E`
    `static short` | `EE`
    `static short` | `ES`
    `static short` | `F`
    `static short` | `FF`
    `static short` | `FLAG_LOCAL_EPHEM_REQ`
    `static short` | `FLAG_LOCAL_EPHEMERAL`
    `static short` | `FLAG_LOCAL_HYBRID`
    `static short` | `FLAG_LOCAL_HYBRID_REQ`
    `static short` | `FLAG_LOCAL_REQUIRED`
    `static short` | `FLAG_LOCAL_STATIC`
    `static short` | `FLAG_REMOTE_EPHEM_REQ`
    `static short` | `FLAG_REMOTE_EPHEMERAL`
    `static short` | `FLAG_REMOTE_HYBRID`
    `static short` | `FLAG_REMOTE_HYBRID_REQ`
    `static short` | `FLAG_REMOTE_REQUIRED`
    `static short` | `FLAG_REMOTE_STATIC`
    `static short` | `FLIP_DIR`
    `static short` | `S`
    `static short` | `SE`
    `static short` | `SS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static short[]` | `lookup(String name)` Look up the description information for a pattern.
    `static short` | `reverseFlags(short flags)` Reverses the local and remote flags for a pattern.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### E

          public static final short E

      See Also:
        Constant Field Values

    - #### EE

          public static final short EE

      See Also:
        Constant Field Values

    - #### ES

          public static final short ES

      See Also:
        Constant Field Values

    - #### F

          public static final short F

      See Also:
        Constant Field Values

    - #### FF

          public static final short FF

      See Also:
        Constant Field Values

    - #### FLAG_LOCAL_EPHEM_REQ

          public static final short FLAG_LOCAL_EPHEM_REQ

      See Also:
        Constant Field Values

    - #### FLAG_LOCAL_EPHEMERAL

          public static final short FLAG_LOCAL_EPHEMERAL

      See Also:
        Constant Field Values

    - #### FLAG_LOCAL_HYBRID

          public static final short FLAG_LOCAL_HYBRID

      See Also:
        Constant Field Values

    - #### FLAG_LOCAL_HYBRID_REQ

          public static final short FLAG_LOCAL_HYBRID_REQ

      See Also:
        Constant Field Values

    - #### FLAG_LOCAL_REQUIRED

          public static final short FLAG_LOCAL_REQUIRED

      See Also:
        Constant Field Values

    - #### FLAG_LOCAL_STATIC

          public static final short FLAG_LOCAL_STATIC

      See Also:
        Constant Field Values

    - #### FLAG_REMOTE_EPHEM_REQ

          public static final short FLAG_REMOTE_EPHEM_REQ

      See Also:
        Constant Field Values

    - #### FLAG_REMOTE_EPHEMERAL

          public static final short FLAG_REMOTE_EPHEMERAL

      See Also:
        Constant Field Values

    - #### FLAG_REMOTE_HYBRID

          public static final short FLAG_REMOTE_HYBRID

      See Also:
        Constant Field Values

    - #### FLAG_REMOTE_HYBRID_REQ

          public static final short FLAG_REMOTE_HYBRID_REQ

      See Also:
        Constant Field Values

    - #### FLAG_REMOTE_REQUIRED

          public static final short FLAG_REMOTE_REQUIRED

      See Also:
        Constant Field Values

    - #### FLAG_REMOTE_STATIC

          public static final short FLAG_REMOTE_STATIC

      See Also:
        Constant Field Values

    - #### FLIP_DIR

          public static final short FLIP_DIR

      See Also:
        Constant Field Values

    - #### S

          public static final short S

      See Also:
        Constant Field Values

    - #### SE

          public static final short SE

      See Also:
        Constant Field Values

    - #### SS

          public static final short SS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### lookup

          public static short[] lookup(String name)

      Look up the description information for a pattern.
      Parameters:
        `name` - The name of the pattern.
      Returns:
        The pattern description or null.

    - #### reverseFlags

          public static short reverseFlags(short flags)

      Reverses the local and remote flags for a pattern.
      Parameters:
        `flags` - The flags, assuming that the initiator is "local".
      Returns:
        The reversed flags, with the responder now being "local".